> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Badge Question

Updates a badge question.


## OpenAPI

````yaml POST /api/v1/badging/badge/question/update
openapi: 3.0.2
info:
  title: Scoot Customer API - Complete Documentation
  version: 1.0.0
  description: >-
    Complete API documentation for Scoot customer-facing endpoints with full
    type definitions from the backend service.
servers:
  - url: https://api.scoot.app
    description: Production server
security: []
tags:
  - name: Social
    description: Social event management endpoints
  - name: Room
    description: Room management endpoints
  - name: Theme
    description: Theme and background management endpoints
  - name: Event
    description: Event registration and management endpoints
  - name: Recording
    description: Recording and transcription endpoints
  - name: Playlist
    description: Audio playlist management endpoints
  - name: Badging
    description: Badge and gamification endpoints
  - name: User
    description: User management endpoints
paths:
  /api/v1/badging/badge/question/update:
    post:
      tags:
        - BadgingController
      summary: POST /api/v1/badging/badge/question/update
      operationId: post__api_v1_badging_badge_question_update
      parameters:
        - in: query
          name: socialRoomSetId
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BadgeQuestion'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadgeQuestion'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    BadgeQuestion:
      type: object
      properties:
        title:
          type: string
        type:
          enum:
            - PROFILE
            - STANDARD
            - CUSTOM
            - INVISIBLE
        inputType:
          enum:
            - TEXT
            - PARAGRAPH
            - SINGLE_SELECT
            - MULTI_SELECT
            - NUMBER
        description:
          type: string
        visibility:
          enum:
            - ALL
            - ACCOUNT_USERS
            - HOSTS
            - INTERNAL
        required:
          type: boolean
        featured:
          type: boolean
        options:
          type: array
          items:
            type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````